ruby-semantic-puppet_1.0.2-1_all.deb


Advertisement

Description

ruby-semantic-puppet - Useful tools for working with semantic versions with Puppet

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename ruby-semantic-puppet_1.0.2-1_all.deb
Package name ruby-semantic-puppet
Package version 1.0.2
Package release 1
Package architecture all
Package type deb
Category ruby
Homepage https://github.com/puppetlabs/semantic_puppet
License -
Maintainer Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Download size 14.60 KB
Installed size 71.00 KB
Tools used by Puppet to parse, validate, and compare semantic versions and
version ranges and to query and resolve module dependencies.
This library is used by a number of Puppet Labs projects, including Puppet and
r10k.

Alternatives

Package Version Architecture Repository
ruby-semantic-puppet_1.0.2-1_all.deb 1.0.2 all Debian Main
ruby-semantic-puppet - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-semantic-puppet_1.0.2-1_all.deb
Source Package ruby-semantic-puppet

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-semantic-puppet deb package:
    # sudo apt-get install ruby-semantic-puppet

Files

Path
/usr/lib/ruby/vendor_ruby/semantic_puppet.rb
/usr/lib/ruby/vendor_ruby/semantic_puppet/dependency.rb
/usr/lib/ruby/vendor_ruby/semantic_puppet/gem_version.rb
/usr/lib/ruby/vendor_ruby/semantic_puppet/version.rb
/usr/lib/ruby/vendor_ruby/semantic_puppet/version_range.rb
/usr/lib/ruby/vendor_ruby/semantic_puppet/dependency/graph.rb
/usr/lib/ruby/vendor_ruby/semantic_puppet/dependency/graph_node.rb
/usr/lib/ruby/vendor_ruby/semantic_puppet/dependency/module_release.rb
/usr/lib/ruby/vendor_ruby/semantic_puppet/dependency/source.rb
/usr/lib/ruby/vendor_ruby/semantic_puppet/dependency/unsatisfiable_graph.rb
/usr/share/doc/ruby-semantic-puppet/README.md
/usr/share/doc/ruby-semantic-puppet/changelog.Debian.gz
/usr/share/doc/ruby-semantic-puppet/changelog.gz
/usr/share/doc/ruby-semantic-puppet/copyright
/usr/share/rubygems-integration/all/specifications/semantic_puppet-1.0.2.gemspec

Changelog

2018-03-18 - Sebastien Badia <sbadia@debian.org>
ruby-semantic-puppet (1.0.2-1) unstable; urgency=medium
* New upstream version 1.0.2
* d/control: Drop un-needed gettext-setup dependency
* d/patches: Drop un-needed Debian patches
* d/rules: Drop un-needed locale settings
2018-03-13 - Sebastien Badia <sbadia@debian.org>
ruby-semantic-puppet (1.0.1-2) unstable; urgency=medium
* d/compat: Bump compat version to 11
* d/control:
+ Bump to Standards-Version 4.1.3 (no changes needed)
+ Use salsa.debian.org in Vcs-* fields
* d/watch: Bump to version 4 and use HTTPS for URI
* d/copyright: Update copyritght years and use HTTPS for URI
* d/upstream: Added Upstream metadata
2017-07-13 - Sebastien Badia <sbadia@debian.org>
ruby-semantic-puppet (1.0.1-1) unstable; urgency=medium
* New upstream version 1.0.1
* d/control: Bump Standard-Version to 4.0.0 (no changes needed)
2017-06-09 - Sebastien Badia <sbadia@debian.org>
ruby-semantic-puppet (1.0.0-1) unstable; urgency=medium
* New upstream version 1.0.0
* d/patches: Drop spec_fixes patch (merged upstream)
* d/control:
+ Bump debhelper compat. to 10
+ Use my Debian email
2016-07-28 - Markus Frosch <lazyfrosch@debian.org>
ruby-semantic-puppet (0.1.4-2) unstable; urgency=high
* [bc9a630] Fix locale loading for vendor_ruby installation (Closes: #832529)
* [4acf06c] Fix RSpec tests for interators by patching (Closes: #809332)
2016-07-18 - Sebastien Badia <seb@sebian.fr>
ruby-semantic-puppet (0.1.4-1) unstable; urgency=medium
[ Markus Frosch ]
* Fix homepage URL
[ Sebastien Badia ]
* d/control: Bump Standards-Version to 3.9.7 (no changes)
* d/control: Update Vcs-* fields (use cgit and https everywhere)
* Imported Upstream version 0.1.4
* d/control: Bump Standards version to 3.9.8 (no changes)
* d/control: Added ruby-gettext-setup (new build/run dependency)
2015-12-17 - Markus Frosch <lazyfrosch@debian.org>
ruby-semantic-puppet (0.1.1-1) unstable; urgency=medium
[ Sebastien Badia ]
* Initial release (Closes: #808097)

See Also

Package Description
ruby-semverse_2.0.0-1_all.deb Ruby library for representing SemVer versions and constraints
ruby-sentry-raven_2.7.4-1_all.deb client interface for the Sentry error logger
ruby-sequel_5.15.0-1_all.deb Simple, flexible, and powerful SQL database access toolkit for Ruby
ruby-sequenced_3.1.1-1_all.deb generate scoped sequential IDs for ActiveRecord models
ruby-serialport_1.3.1-1+b5_amd64.deb Library for using RS-232 serial ports from Ruby programs
ruby-serverspec_2.41.3-3_all.deb RSpec tests for your servers configured by Puppet, Chef or anything else
ruby-session_3.2.0-3_all.deb persistent connections with external programs like bash (via pipes)
ruby-settingslogic-doc_2.0.9-3_all.deb simple settings solution for Ruby (documentation)
ruby-settingslogic_2.0.9-3_all.deb simple settings solution for Ruby
ruby-setup_3.4.1-9_all.deb the setup.rb install tool for Ruby
ruby-sexp-processor_4.11.0-1_all.deb brings all the generic sexp processing tools to ruby
ruby-shadow_2.5.0-1+b1_amd64.deb interface of shadow password for Ruby
ruby-sham-rack_1.4.1-2_all.deb Net::HTTP-to-Rack plumbing for HTTP testing
ruby-shellany_0.0.1-2_all.deb MRI+JRuby compatible command output capturing
ruby-shindo_0.3.8-2_all.deb simple depth first Ruby testing
Advertisement
Advertisement